API ReferenceapiidentityPOST /v1/admin/staff/{id}/resend

POST /v1/admin/staff/\{id\}/resend

Service: identity · operationId: (none)

Resend a pending staff invite

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Invite resent

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "email": {
      "type": "string",
      "format": "email"
    },
    "role": {
      "type": "string",
      "enum": [
        "admin",
        "support",
        "coach",
        "marketing"
      ]
    },
    "status": {
      "type": "string",
      "enum": [
        "pending",
        "active",
        "suspended",
        "removed"
      ]
    },
    "workos_user_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "invited_by": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    },
    "accepted_at": {
      "type": [
        "string",
        "null"
      ]
    },
    "suspended_at": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "email",
    "role",
    "status",
    "workos_user_id",
    "invited_by",
    "created_at",
    "updated_at",
    "accepted_at",
    "suspended_at"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://identity.platform.loop.health/v1/admin/staff/{id}/resend \
  -H "Authorization: Bearer $ACCESS_TOKEN"